Bug 114382 - hang with traceback
Summary: hang with traceback
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-27 15:16 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 18:48:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-01-27 15:16:53 UTC
Description of problem:

Running on x86_64

1.  Just accessing the base directory tree, OK and says system up 2 date.

2.  Trying to access the kernel updates under testing, just hangs
after getting header info.

3. Trying to get the kernel updates from a local http server, update
hanges with the following traceback:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1365, in
onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 123, in run
    progressCallback = self.progressCallback )
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 404, in
obsoletesList
    progressCallback = progressCallback )
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 110, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 27, in
getObsoletes    return
self.handlers[channel['type']].getObsoletes(channel, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 249, in
getObsoletes
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
311, in getObsoletes
    baseFileName = "%s-%s-%s.%s.hdr" % (pkg[0], pkg[1], pkg[2], pkg[4])
IndexError: list index out of range
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1431, in
onSkippedPagePrepare
    self.__preparePackageList()
  File "/usr/share/rhn/up2date_client/gui.py", line 1317, in
__preparePackageList
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 123, in run
    progressCallback = self.progressCallback )
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 404, in
obsoletesList
    progressCallback = progressCallback )
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 110, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 27, in
getObsoletes    return
self.handlers[channel['type']].getObsoletes(channel, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 249, in
getObsoletes
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
311, in getObsoletes
    baseFileName = "%s-%s-%s.%s.hdr" % (pkg[0], pkg[1], pkg[2], pkg[4])
IndexError: list index out of range

Comment 1 Gene Czarcinski 2004-01-27 18:48:53 UTC
pilot error

Comment 2 Jos Vos 2005-05-04 21:37:48 UTC
See bug #143339 for more details on this bug and the solution.


Note You need to log in before you can comment on or make changes to this bug.